# Breakthrough
Repository for the second CSCE 315 project

# To compile everything:
  make
  or make all
  
  ***NOTE***
  To remove all .class and .o files, just use: make clean.
  
# To run test:
  ./test

# To launch the server:
  ./server [port #]

Java Client is now functional with GUI.
  
# To launch the client:
  java Client [server address] [port #]
  Where [server address] is linux.cs.tamu.edu (or whatever server you're on) and [port #] is the same as server's [port #].

# Troubleshooting:
- Make sure you enable X11 forwarding in your PuTTY settings before you start your connection to the linux server.
- Make sure you also open XLaunch and just click next until finish so that PuTTY doesn't whine about not having a server to start up the client with.
- You will need to manually enter "1" when you start the client. Haven't gotten around to doing that frame just yet, but mostly because the AI stuff isn't finished yet.
- The GUI takes two moves at a time, to play click the square with the piece you want to move, then the square you want to move it to. Remember there is very minimal error checking on the GUI side, so if you make an incorrect move, the server will just yell at you and the client will continue like nothing happened. I left in some Debugging output on both the Client and Server side so you guys can tell where you messed up. Let me know if you experience any bugs.
- The game will not automatically close on Game Over, you will have to close the window yourself, but that's not exactly a bug, so I'm just going to leave it in.
- Be patient. Swing is very slow and it'll take a second or two for it to initialize the window and a couple seconds to render the icons each time you make a move (depending on if you're using a VPN or not, runs smoothly on campus).
